package com.yaoxiang.planning.config

import com.yaoxiang.planning.model.AuthUser
import mu.KotlinLogging
import org.springframework.security.core.Authentication
import org.springframework.security.web.authentication.SavedRequestAwareAuthenticationSuccessHandler
import java.io.IOException
import javax.servlet.ServletException
import javax.servlet.http.HttpServletRequest
import javax.servlet.http.HttpServletResponse

private val logger = KotlinLogging.logger {}

class LoginSuccessHandler : SavedRequestAwareAuthenticationSuccessHandler() {

    override fun onAuthenticationSuccess(request: HttpServletRequest, response: HttpServletResponse, authentication: Authentication) {
        val loginFrom = request.getParameter("loginFrom")
        val user: AuthUser = authentication.principal as AuthUser
        val username: String = user.username
//        val authorities = authentication.authorities
        val msg = String.format("user %s ,login from %s", username, loginFrom)
        logger.info(msg)
        response.characterEncoding = "UTF-8"
        response.contentType = "application/json"
        logger.debug("登录通过")
        response.writer.println("{\"ok\":\"1\",\"msg\":\"登录成功\"}")
    }
}