package com.yaoxiang.planning.domain

import com.yaoxiang.planning.utils.ToTree
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Index
import javax.persistence.Table

@Entity
@ApiModel("部门信息")
@Table(indexes = [Index(name = "nameIndex", columnList = "name", unique = true)])
class Department() : BaseLongEntity(), ToTree {

    @ApiModelProperty("部门名称")
    @Column(columnDefinition = "varchar(64) COMMENT '用户名/手机号码'")
    var name: String? = null

    @ApiModelProperty("职责")
    @Column(columnDefinition = "mediumtext COMMENT '部门'")
    var duty: String? = null

    @ApiModelProperty("备注")
    @Column(columnDefinition = "varchar(255) COMMENT '备注'")
    var remark: String? = null

    @ApiModelProperty("上级部门Id")
    @Column(columnDefinition = "int(20) COMMENT '上级部门Id'")
    var parentId: Long? = null

    @Transient
    @ApiModelProperty("子树")
    var children: List<Department>? = null

    @Transient
    @ApiModelProperty("用户列表")
    var userList: List<UserInfo>? = null

    override fun id(): Long {
        return id!!
    }

    override fun parentId(): Long? {
        return parentId
    }

    override fun setChild(children: MutableList<ToTree>) {
        this.children = children as MutableList<Department>
    }


}