package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.*


//@Entity
//@ApiModel("计划")
//@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
@MappedSuperclass
open class Planning() : BaseLongEntity() {

    @ApiModelProperty("计划名称")
    @Column(columnDefinition = "varchar(255) COMMENT '计划名称'")
    open var name: String? = null

    @ApiModelProperty("计划内容")
    @Column(columnDefinition = "mediumtext COMMENT '计划内容'")
    open var content: String? = null

    @ApiModelProperty("计划状态 0准备 1执行 2暂搁 3完成 4中止")
    @Column(columnDefinition = "int(11) COMMENT '计划状态 0准备 1执行 2暂搁 3完成 4中止'")
    open var status: Int? = null

    @ApiModelProperty("评价")
    @Column(columnDefinition = "mediumtext COMMENT '评价'")
    open var evaluation: String? = null

    @ApiModelProperty("计划年份")
    @Column(columnDefinition = "int(11) COMMENT '计划年份'")
    open var year: Int? = null

    @ApiModelProperty("计划类型 0年度计划 1季度计划 2周计划")
    @Column(columnDefinition = "int(11) COMMENT '计划类型 0年度计划 1季度计划 2周计划'")
    open var type: Int? = null

    @Transient
    @ApiModelProperty("计划项列表")
    open var items: List<PlanningItem>? = null
}