package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity

@Entity
@ApiModel("分计划")
class PlanningItem() : BaseLongEntity() {

    @ApiModelProperty("分计划名称")
    @Column(columnDefinition = "varchar(255) COMMENT '分计划名称'")
    var name: String? = null

    @ApiModelProperty("分计划内容")
    @Column(columnDefinition = "mediumtext COMMENT '分计划内容'")
    var content: String? = null

    @ApiModelProperty("分计划状态  0准备 1执行 2暂搁 3完成 4中止")
    @Column(columnDefinition = "int(11) COMMENT '分计划状态  0准备 1执行 2暂搁 3完成 4中止'")
    var status: Int? = null

    @ApiModelProperty("备注")
    @Column(columnDefinition = "varchar(255) COMMENT '备注'")
    var remark: String? = null

    @ApiModelProperty("评价")
    @Column(columnDefinition = "mediumtext COMMENT '评价'")
    var evaluation: String? = null

    @ApiModelProperty("分计划所属部门Id")
    @Column(columnDefinition = "int(20) COMMENT '分计划所属部门Id'")
    var departmentId: Long? = null

    @ApiModelProperty("分计划所属部门名称")
    @Column(columnDefinition = "varchar(255) COMMENT '分计划所属部门名称'")
    var departmentName: String? = null

//    @ApiModelProperty("分计划序号")
//    @Column(columnDefinition = "int(11) COMMENT '分计序号'")
//    var indexes: Int? = null

    @ApiModelProperty("分计划类型 0年度计划 1季度计划 2周计划")
    @Column(columnDefinition = "int(20) COMMENT '分计划类型 0年度计划 1季度计划 2周计划'")
    var type: Int? = null

    @ApiModelProperty("计划Id")
    @Column(columnDefinition = "int(20) COMMENT '计划Id'")
    var planningId: Long? = null

}