package com.yaoxiang.planning.domain

import com.fasterxml.jackson.annotation.JsonFormat
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column
import javax.persistence.Entity

@Entity
@ApiModel("季度计划")
class QuarterlyPlan() : Planning() {

    @ApiModelProperty("季度 1 2 3 4")
    @Column(columnDefinition = "int(11) COMMENT '季度 1 2 3 4'")
    var quarter: Int? = null

    @ApiModelProperty("开始时间")
    @Column(columnDefinition = "datetime COMMENT '开始时间'")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var startTime: Date? = null

    @ApiModelProperty("结束时间")
    @Column(columnDefinition = "datetime COMMENT '结束时间'")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var endTime: Date? = null

    @ApiModelProperty("部门Id")
    @Column(columnDefinition = "int(20) COMMENT '部门Id'")
    var departmentId: Long? = null

    @ApiModelProperty("部门名称")
    @Column(columnDefinition = "varchar(255) COMMENT '部门名称'")
    var departmentName:String ?= null

}