package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Index
import javax.persistence.Table

@Entity
@ApiModel("角色信息")
@Table(indexes = [Index(name = "nameIndex", columnList = "name", unique = true)])
class Role() : BaseLongEntity() {

    @ApiModelProperty("角色名称")
    @Column(columnDefinition = "varchar(64) COMMENT '角色名称'")
    var name: String? = null

    @ApiModelProperty("类型")
    @Column(columnDefinition = "varchar(255) COMMENT '类型'")
    var type: String? = null

    @ApiModelProperty("父级ID")
    @Column(columnDefinition = "int(20) COMMENT '父级ID'")
    var parentId: Long? = null

    @ApiModelProperty("角色优先级，0表示最高级，数字越大角色越低级")
    @Column(columnDefinition = "int(11) COMMENT '父级ID'")
    var level: Int? = null


}