package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Index
import javax.persistence.Table


@Entity
@ApiModel("用户信息")
@Table(indexes = [Index(name = "usernameIndex", columnList = "username", unique = true)])
class UserInfo() : BaseLongEntity() {

    @ApiModelProperty("用户名/手机号码")
    @Column(columnDefinition = "varchar(64) COMMENT '用户名/手机号码'")
    var username: String? = null

    @ApiModelProperty("密码")
    @Column(columnDefinition = "varchar(255) COMMENT '密码'")
    var password: String? = null

    @ApiModelProperty("昵称")
    @Column(columnDefinition = "varchar(255) COMMENT '昵称'")
    var name: String? = null

    @ApiModelProperty("混淆")
    @Column(columnDefinition = "varchar(255) COMMENT '混淆'")
    var salt: String? = null

    @ApiModelProperty("性别")
    @Column(columnDefinition = "int(11) COMMENT '性别'")
    var gender: Int? = null

    @ApiModelProperty("年龄")
    @Column(columnDefinition = "int(11) COMMENT '年龄'")
    var age: Int? = null

    @ApiModelProperty("邮箱")
    @Column(columnDefinition = "varchar(255) COMMENT '邮箱'")
    var email: String? = null

    @ApiModelProperty("微信openId")
    @Column(columnDefinition = "varchar(255) COMMENT '微信openId'")
    var openId: String? = null

    @ApiModelProperty("手机号码")
    @Column(columnDefinition = "varchar(255) COMMENT '手机号码'")
    var phone: String? = null

    @ApiModelProperty("是否启用")
    @Column(columnDefinition = "bit(1) COMMENT '是否启用'")
    var enabled: Boolean = true

    @ApiModelProperty("部门Id")
    @Column(columnDefinition = "int(20) COMMENT '部门Id'")
    var departmentId: Long? = null

    @ApiModelProperty("部门名称")
    @Column(columnDefinition = "varchar(255) COMMENT '部门名称'")
    var departmentName: String? = null
}