package com.yaoxiang.planning.domain

import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Index
import javax.persistence.Table

@Entity
@ApiModel("用户角色映射")
@Table(indexes = [Index(name = "userRoleIndex", columnList = "userId,roleId", unique = true)])
class UserRole() : BaseLongEntity() {

    @ApiModelProperty("用户Id")
    @Column(columnDefinition = "varchar(64) COMMENT '用户Id'")
    var userId: String? = null

    @ApiModelProperty("角色Id")
    @Column(columnDefinition = "varchar(64) COMMENT '角色Id'")
    var roleId: String? = null
}