package com.yaoxiang.planning.domain

import com.fasterxml.jackson.annotation.JsonFormat
import com.fasterxml.jackson.annotation.JsonIgnore
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column
import javax.persistence.Entity

@Entity
@ApiModel("周计划")
class WeeklyPlan() : Planning() {

    @ApiModelProperty("计划所属用户Id")
    @Column(columnDefinition = "int(20) COMMENT '计划所属用户Id'")
    var userId: Long? = null

    @Column(columnDefinition = "datetime COMMENT '开始时间'")
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var startTime: Date? = null

    @ApiModelProperty("开始时间")
    @Column(columnDefinition = "datetime COMMENT '结束时间'")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    var endTime: Date? = null

    @Transient
    @JsonIgnore
    var dayOfMonth: Int? = null
}