package com.yaoxiang.planning.model

class Reply<T> {

    var result: Boolean? = null
    var message: String? = null
    var code: Int? = null
    var data: T? = null

    constructor()

    constructor(result: Boolean) {
        this.result = result
    }

    constructor(result: Boolean, message: String, data: T? = null) {
        this.result = result
        this.message = message
        code = if (result) 200 else 500
        this.data = data
    }

    companion object {

        fun <T> ok(): Reply<T> {
            return Reply(true, "success", null)
        }

        fun <T> ok(data: T?): Reply<T> {
            return Reply(true, "success", data)
        }

        fun <T> ok(data: T?, message: String): Reply<T> {
            return Reply(true, message, data)
        }

        fun <T> fail(message: String = "fail"): Reply<T> {
            return Reply(false, message)
        }
    }
}