package com.yaoxiang.planning.service

import com.yaoxiang.planning.domain.AnnualPlan
import com.yaoxiang.planning.domain.Planning
import com.yaoxiang.planning.domain.QuarterlyPlan
import com.yaoxiang.planning.domain.WeeklyPlan
import com.yaoxiang.planning.model.PlanningStatus
import com.yaoxiang.planning.model.PlanningType
import com.yaoxiang.planning.repository.AnnualPlanRepo
import com.yaoxiang.planning.repository.QuarterlyPlanRepo
import com.yaoxiang.planning.repository.WeeklyPlanRepo
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Service

@Service
class PlanningService {

    @Autowired
    private lateinit var annualPlanRepo: AnnualPlanRepo

    @Autowired
    private lateinit var quarterlyPlanRepo: QuarterlyPlanRepo

    @Autowired
    private lateinit var weeklyPlanRepo: WeeklyPlanRepo

    fun add(name: String, content: String, year: Int, planning: Planning): Boolean {
        planning.name = name
        planning.content = content
        planning.year = year
        planning.status = PlanningStatus.READY.ordinal
        when (planning.type) {
            PlanningType.ANNUAL.ordinal -> {
                annualPlanRepo.save(planning as AnnualPlan)
            }
            PlanningType.QUARTERLY.ordinal -> {
                quarterlyPlanRepo.save(planning as QuarterlyPlan)
            }
            PlanningType.WEEKLY.ordinal -> {
                weeklyPlanRepo.save(planning as WeeklyPlan)
            }
        }
        return true
    }
}