package com.yaoxiang.planning.utils

import java.util.*


class TreeUtil {
    companion object {

        fun listAllChildren(root: ToTree, allList: MutableList<ToTree>) {
            val childList = getListChildren(root.id(), allList)
            root.setChild(childList)
            for (r in childList) {
                listAllChildren(r, allList)
            }
        }

        fun listChildren(root: ToTree, allList: MutableList<ToTree>): List<ToTree> {
            val result = arrayListOf<ToTree>()
            val queue = LinkedList<ToTree>()
            result.add(root)
            queue.offer(root)
            while (!queue.isEmpty()) {
                val r = queue.poll()
                val it = allList.iterator()
                while (it.hasNext()) {
                    val rr = it.next()
                    val parentId = rr.parentId()
                    if (parentId != null && parentId == r.id()) {
                        result.add(rr)
                        queue.offer(rr)
                        it.remove()
                    }
                }
            }
            return result
        }

        private fun getListChildren(id: Long, allList: MutableList<ToTree>): MutableList<ToTree> {
            val list: MutableList<ToTree> = arrayListOf()
            var i = 0
            var j = allList.size
            while (i < j) {
                val parentId = allList[i].parentId()
                if (parentId != null && id == parentId) {
                    list.add(allList.removeAt(i--))
                    j--
                }
                i++
            }
            return list
        }


    }

}

interface ToTree {

    fun id(): Long

    fun parentId(): Long?

    fun setChild(children: MutableList<ToTree>)
}